Subject: Re: bug#11813: Segmentation fault on launch related to x_draw_glyph_string_background

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Jul 2012 20:31:44 +0300

> Date: Fri, 29 Jun 2012 13:49:55 +0300
> From: Left Right <[email-masked]>
> Cc: [email-masked]
> 
> > By the way: is this on a TTY or in a GUI session?
> 
> This is the GUI session.

That was a stupid question on my part, sorry.

> > The
> > GLYPHLESS parts seem to indicate that Emacs has no font to display the
> > buffer name in bold.
> 
> It's not impossible, if I knew what font it is looking for I'd know
> for sure. I had some problems before with multilingual support and
> added fonts on the case by case basis, those I could find. Although
> Emacs23 I have from PPA starts fine with the fonts I have. Correct me
> if I'm wrong, but Emacs doesn't seem to read fonts.conf from my user
> directory - how would I set it to use certain fonts?

Sorry, I don't know, I don't have experience with GTK and related
environments.

Could you try the patch I just posted and see if it solves the issue
at hand?